Changeset 1486 for stable


Ignore:
Timestamp:
Dec 31, 2009 11:58:43 AM (10 years ago)
Author:
stefan
Message:

make backward compatible by get it working without pkg-config

Location:
stable/BSPsplit/Clp
Files:
2 edited

Legend:

Unmodified
Added
Removed
  • stable/BSPsplit/Clp/configure

    r1465 r1486  
    2131921319fi
    2132021320
    21321   if test $coin_has_coinutils = yes ; then
     21321  if test $coin_has_coinutils != notGiven && test $coin_has_coinutils != skipping ; then
    2132221322    COINUTILS_CFLAGS="-I${COINUTILSSRCDIR}/src -I${COINUTILSOBJDIR}/inc"
    21323     COINUTILS_LIBS="${COINUTILSOBJDIR}/src/libCoinUtils.la"
     21323    COINUTILS_LIBS="${COINUTILSOBJDIR}/src/libCoinUtils.la `cat ${COINUTILSOBJDIR}/coinutils_addlibs.txt`"
    2132421324  else
    2132521325    { { echo "$as_me:$LINENO: error: \"Required package CoinUtils unavailable.\"" >&5
  • stable/BSPsplit/Clp/configure.ac

    r1465 r1486  
    6565if test "$coin_has_coinutils" != yes ; then
    6666  AC_COIN_HAS_PROJECT(CoinUtils)
    67   if test $coin_has_coinutils = yes ; then
     67  if test $coin_has_coinutils != notGiven && test $coin_has_coinutils != skipping ; then
    6868    COINUTILS_CFLAGS="-I${COINUTILSSRCDIR}/src -I${COINUTILSOBJDIR}/inc"
    69     COINUTILS_LIBS="${COINUTILSOBJDIR}/src/libCoinUtils.la"
     69    COINUTILS_LIBS="${COINUTILSOBJDIR}/src/libCoinUtils.la `cat ${COINUTILSOBJDIR}/coinutils_addlibs.txt`"
    7070  else
    7171    AC_MSG_ERROR("Required package CoinUtils unavailable.")
Note: See TracChangeset for help on using the changeset viewer.